Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196957 - Review Request: python-XStatic-Angular-lrdragndrop - Angular-lrdragndrop (XStatic packaging standard)
Summary: Review Request: python-XStatic-Angular-lrdragndrop - Angular-lrdragndrop (XSt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 07:05 UTC by Matthias Runge
Modified: 2015-04-29 19:20 UTC (History)
5 users (show)

Fixed In Version: python-XStatic-Angular-lrdragndrop-1.0.2.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:28:29 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2015-02-27 07:05:32 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-XStatic-Angular-Irdragndrop.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-XStatic-Angular-Irdragndrop-1.0.2.1-1.fc21.src.rpm
Description: IrDragNDrop javascript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.
Fedora Account System Username: mrunge

Comment 1 Matthias Runge 2015-03-26 14:05:01 UTC
The package is named incorrect. Unfortunately, there is no new source package on pypi yet.

For reference, upper 'i' in the name should be lowercase 'l'.
The mistake was made at packaging for pypi.

Comment 2 Alan Pevec 2015-03-26 23:57:59 UTC
So the problem is that wrong name is now in-the-wild e.g. in openstack/horizon reqirements.txt: XStatic-Angular-Irdragndrop>=1.0.2.1

Last release on pypi is more than month old[1] so it seems pypi owner does not intend to fix this any time soon.

Why not create RPM with the proper package name python-XStatic-Angular-lrdragndrop using sources from pypi as-is and with virtual Provide: python-XStatic-Angular-Irdragndrop ?


[1] https://pypi.python.org/pypi/XStatic-Angular-Irdragndrop/1.0.2.1

Comment 3 Rafael Folco 2015-03-31 13:06:06 UTC
For the record: patches for horizon to rename XStatic-Angular-Irdragndrop to XStatic-Angular-lrdragndrop 

https://review.openstack.org/#/c/169132/
https://review.openstack.org/#/c/167798/

Comment 4 Matthias Runge 2015-04-06 19:29:49 UTC
New pypi package is: https://pypi.python.org/pypi/XStatic-Angular-lrdragndrop/1.0.2.2

Will update this request to match upstream asap.

Comment 6 Haïkel Guémar 2015-04-10 16:08:44 UTC
Since the name issue is fixed, let's move forward.

As usual with XStatic packages, please request upstream to keep the license file in tarball.

Then, I hereby approved this package into Fedora Packages Collection as it complies with
Fedora packaging guidelines, please submit a SCM request


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1196957-python-XStatic-Angular-
     lrdragndrop/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/xstatic/pkg
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/xstatic/pkg
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc23.noarch.rpm
          python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc23.src.rpm
python-XStatic-Angular-lrdragndrop.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
python-XStatic-Angular-lrdragndrop.noarch: W: incoherent-version-in-changelog 1.0.2.1-1 ['1.0.2.2-1.fc23', '1.0.2.2-1']
python-XStatic-Angular-lrdragndrop.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
python-XStatic-Angular-lrdragndrop.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-XStatic-Angular-lrdragndrop (rpmlib, GLIBC filtered):
    python(abi)
    python-XStatic
    web-assets-filesystem



Provides
--------
python-XStatic-Angular-lrdragndrop:
    python-XStatic-Angular-lrdragndrop



Source checksums
----------------
https://pypi.python.org/packages/source/X/XStatic-Angular-lrdragndrop/XStatic-Angular-lrdragndrop-1.0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1cf04495981db5dfd5536441e17ec69bb18d624f847ddc203f3259d81b10a77e
  CHECKSUM(SHA256) upstream package : 1cf04495981db5dfd5536441e17ec69bb18d624f847ddc203f3259d81b10a77e

Comment 7 Haïkel Guémar 2015-04-10 16:10:27 UTC
btw, as fedora-review failed to launch rpmlint, here's the output (nothing relevant though)
rpmlint -iv *rpm     
python-XStatic-Angular-lrdragndrop.noarch: I: checking
python-XStatic-Angular-lrdragndrop.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
The value of this tag appears to be misspelled. Please double-check.

python-XStatic-Angular-lrdragndrop.noarch: W: incoherent-version-in-changelog 1.0.2.1-1 ['1.0.2.2-1.fc23', '1.0.2.2-1']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

python-XStatic-Angular-lrdragndrop.noarch: I: checking-url https://github.com/lorenzofox3/lrDragNDrop (timeout 10 seconds)
python-XStatic-Angular-lrdragndrop.src: I: checking
python-XStatic-Angular-lrdragndrop.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
The value of this tag appears to be misspelled. Please double-check.

python-XStatic-Angular-lrdragndrop.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
The value of this tag appears to be misspelled. Please double-check.

python-XStatic-Angular-lrdragndrop.src: I: checking-url https://github.com/lorenzofox3/lrDragNDrop (timeout 10 seconds)
python-XStatic-Angular-lrdragndrop.src: I: checking-url https://pypi.python.org/packages/source/X/XStatic-Angular-lrdragndrop/XStatic-Angular-lrdragndrop-1.0.2.2.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 8 Matthias Runge 2015-04-13 06:54:02 UTC
Thank you for your review.

I'll fix rpmlint issues (incoherent version in changelog during import).

New Package SCM Request
=======================
Package Name: python-XStatic-Angular-lrdragndrop
Short Description: Angular-lrdragndrop (XStatic packaging standard)
Upstream URL: https://github.com/lorenzofox3/lrDragNDrop
Owners: mrunge
Branches: f21 f22 epel7

Comment 9 Gwyn Ciesla 2015-04-13 19:24:19 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-04-14 09:17:05 UTC
python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc22

Comment 11 Fedora Update System 2015-04-14 09:27:36 UTC
python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc21

Comment 12 Fedora Update System 2015-04-14 09:38:17 UTC
python-XStatic-Angular-lrdragndrop-1.0.2.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-XStatic-Angular-lrdragndrop-1.0.2.2-1.el7

Comment 13 Fedora Update System 2015-04-18 09:41:52 UTC
python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 14 Fedora Update System 2015-04-21 18:28:29 UTC
python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 15 Fedora Update System 2015-04-26 12:54:02 UTC
python-XStatic-Angular-lrdragndrop-1.0.2.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2015-04-29 19:20:49 UTC
python-XStatic-Angular-lrdragndrop-1.0.2.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.